org.bouncycastle.cms

## Class CMSCompressedDataParser

- java.lang.Object
- - org.bouncycastle.cms.CMSContentInfoParser
  - - org.bouncycastle.cms.CMSCompressedDataParser

Direct Known Subclasses:
  SMIMECompressedParser

    public class CMSCompressedDataParser
    extends CMSContentInfoParser

Class for reading a CMS Compressed Data stream.

         CMSCompressedDataParser cp = new CMSCompressedDataParser(inputStream);

         process(cp.getContent().getContentStream());

Note: this class does not introduce buffering - if you are processing large files you should create the parser with:

          CMSCompressedDataParser     ep = new CMSCompressedDataParser(new BufferedInputStream(inputStream, bufSize));

where bufSize is a suitably large buffer size.

### Field Summary

### Fields inherited from class org.bouncycastle.cms.CMSContentInfoParser

`_contentInfo, _data`

### Constructor Summary

Constructors
Constructor and Description
`CMSCompressedDataParser(byte[] compressedData)`
`CMSCompressedDataParser(java.io.InputStream compressedData)`

### Method Summary

Methods
`CMSTypedStream` `getContent()`

### Methods inherited from class org.bouncycastle.cms.CMSContentInfoParser

`close`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSCompressedDataParser

    public CMSCompressedDataParser(byte[] compressedData)
                            throws CMSException

Throws:
  `CMSException`

#### CMSCompressedDataParser

    public CMSCompressedDataParser(java.io.InputStream compressedData)
                            throws CMSException

Throws:
  `CMSException`

### Method Detail

#### getContent

    public CMSTypedStream getContent()
                              throws CMSException

Throws:
  `CMSException`